function [eps_m] = TVBmodel_HeterogeneousMix(eps_i, eps_h, shape, vi)

if shape == 1 %case of thin circular disc inclusions
    eps_m = eps_h + vi./3.*(eps_i - eps_h).*(2.*eps_i.*(1-vi)+eps_h.*(1+2.*vi))...
        ./(vi.*eps_h +(1-vi).*eps_i);
end

if shape ==2 % case of spherical inclusions
    eps_m = eps_h + 3*vi.*eps_h.*(eps_i -eps_h)./((2*eps_h+eps_i)-vi.*(eps_i-eps_h));
end

if shape == 3 % case of needle inclusions
    eps_m = eps_h + vi./3.*(eps_i-eps_h).*(eps_h.*(5+vi)+(1-vi).*eps_i)./ ...
        (eps_h.*(1+ vi)+eps_i.*(1-vi));
end

  end